package com.ruoyi.ss.balancePeriod.service;

import com.ruoyi.ss.balancePeriod.domain.SmBalancePeriod;
import com.ruoyi.ss.balancePeriod.domain.SmBalancePeriodQuery;

import java.util.Date;
import java.util.List;

/**
 * 余额时段记录Service接口
 *
 * @author ruoyi
 * @date 2024-03-16
 */
public interface ISmBalancePeriodService
{
    /**
     * 查询余额时段记录
     *
     * @param id 余额时段记录主键
     * @return 余额时段记录
     */
    public SmBalancePeriod selectSmBalancePeriodById(Long id);

    /**
     * 查询余额时段记录列表
     *
     * @param smBalancePeriod 余额时段记录
     * @return 余额时段记录集合
     */
    public List<SmBalancePeriod> selectSmBalancePeriodList(SmBalancePeriodQuery smBalancePeriod);

    /**
     * 新增余额时段记录
     *
     * @param smBalancePeriod 余额时段记录
     * @return 结果
     */
    public int insertSmBalancePeriod(SmBalancePeriod smBalancePeriod);

    /**
     * 修改余额时段记录
     *
     * @param smBalancePeriod 余额时段记录
     * @return 结果
     */
    public int updateSmBalancePeriod(SmBalancePeriod smBalancePeriod);

    /**
     * 批量删除余额时段记录
     *
     * @param ids 需要删除的余额时段记录主键集合
     * @return 结果
     */
    public int deleteSmBalancePeriodByIds(Long[] ids);

    /**
     * 删除余额时段记录信息
     *
     * @param id 余额时段记录主键
     * @return 结果
     */
    public int deleteSmBalancePeriodById(Long id);

    /**
     * 记录下当前时间的余额信息
     */
    void recordCurrentBalance();

    /**
     * 当前时间是否已有记录
     * @param date
     * @param hour
     * @return
     */
    boolean isExist(Date date, Integer hour);
}
